# Gimp.patterns_popup

    @accepts(unicode, unicode, Gimp.Pattern, GLib.Bytes)
    @returns(bool)
    def patterns_popup(pattern_callback, popup_title, initial_pattern, parent_window):
        # Python wrapper for gimp_patterns_popup()

Invokes the Gimp pattern selection.

Opens the pattern selection dialog.

pattern_callback

  The callback PDB proc to call when the user chooses a pattern.

popup_title

  Title of the pattern selection dialog.

initial_pattern

  The pattern to set as the initial choice.

parent_window

  An optional parent window handle for the popup to be set transient to.

Returns